"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typescriptConfigFiles = exports.typescriptCommand = exports.typescriptBuildConfigFiles = exports.prettierExtensions = exports.prettierConfigFiles = exports.prettierCommand = exports.prettierCiExtensions = exports.pinoPrettyIgnoreKeys = exports.pinoPrettyCommand = exports.packageLintFiles = exports.licenseFilenameRegExp = exports.jestPreOrderProjects = exports.jestConfigFiles = exports.jestCommand = exports.eslintIgnoreFiles = exports.eslintExtensions = exports.eslintConfigFiles = exports.eslintCommand = exports.depcheckIgnorePackages = exports.coverageDefaultWatermark = exports.commitlintConfigFiles = exports.commitlintCommand = exports.babelScriptFiles = exports.babelExtensions = exports.babelConfigFiles = exports.babelCommandWatch = exports.babelCommandNode = exports.babelCommand = void 0;
const babelExtensions = exports.babelExtensions = '.js,.jsx,.ts,.tsx,.json';
const babelScriptFiles = exports.babelScriptFiles = ['src/index.ts', 'src/index.js'];
const babelConfigFiles = exports.babelConfigFiles = ['babel.config.js', 'babel.config.json'];
const babelCommand = exports.babelCommand = './node_modules/.bin/babel';
const babelCommandNode = exports.babelCommandNode = './node_modules/.bin/babel-node';
const babelCommandWatch = exports.babelCommandWatch = './node_modules/.bin/babel-watch';
const pinoPrettyCommand = exports.pinoPrettyCommand = './node_modules/.bin/pino-pretty';
const pinoPrettyIgnoreKeys = exports.pinoPrettyIgnoreKeys = ['pid', 'hostname'];
const commitlintConfigFiles = exports.commitlintConfigFiles = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];
const commitlintCommand = exports.commitlintCommand = './node_modules/.bin/commitlint';
const jestConfigFiles = exports.jestConfigFiles = ['jest.config.js', 'jest.config.ts'];
const jestCommand = exports.jestCommand = './node_modules/.bin/jest';
const jestPreOrderProjects = exports.jestPreOrderProjects = ['unit', 'integration', 'e2e'];
const coverageDefaultWatermark = exports.coverageDefaultWatermark = [50, 90];
const eslintIgnoreFiles = exports.eslintIgnoreFiles = new Set(['babel.config.js', 'jest.config.js']);
const eslintExtensions = exports.eslintExtensions = 'js,ts,tsx';
const eslintCommand = exports.eslintCommand = './node_modules/.bin/eslint';
const eslintConfigFiles = exports.eslintConfigFiles = ['.eslintrc.js', '.eslintrc.cjs', '.eslintrc.yaml', '.eslintrc.yml', '.eslintrc.json', '.eslintrc'];
const prettierCiExtensions = exports.prettierCiExtensions = 'json,md,css,scss,yml,yaml,html';
const prettierExtensions = exports.prettierExtensions = `ts,tsx,js,jsx,${prettierCiExtensions}`;
const prettierCommand = exports.prettierCommand = './node_modules/.bin/prettier';
const prettierConfigFiles = exports.prettierConfigFiles = ['.prettierrc', '.prettierrc.json', '.prettierrc.yml', '.prettierrc.yaml', '.prettierrc.toml', '.prettierrc.js', 'prettier.config.js'];
const packageLintCommonFiles = ['.npmpackagejsonlintrc.json', 'npmpackagejsonlint.config.js'];
const packageLintFiles = exports.packageLintFiles = {
  app: ['.npmpackagejsonlintrc.app.json', ...packageLintCommonFiles],
  cli: ['.npmpackagejsonlintrc.cli.json', ...packageLintCommonFiles],
  lib: ['.npmpackagejsonlintrc.lib.json', ...packageLintCommonFiles],
  monorepo: ['.npmpackagejsonlintrc.monorepo.json', ...packageLintCommonFiles]
};
const typescriptConfigFiles = exports.typescriptConfigFiles = ['tsconfig.json'];
const typescriptBuildConfigFiles = exports.typescriptBuildConfigFiles = ['tsconfig.build.json', 'tsconfig.json'];
const typescriptCommand = exports.typescriptCommand = './node_modules/.bin/tsc';
const depcheckIgnorePackages = exports.depcheckIgnorePackages = ['@types/node', 'typescript', 'carna'];
const licenseFilenameRegExp = exports.licenseFilenameRegExp = /^(?:copying|licen[cs]e|licen[cs]e-\w+|readme)(?:\.markdown|\.md|\.txt)?$/iu;