"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = exports.aliases = void 0;
var _yargs = require("../cli/yargs");
var _analyseTask = require("../tasks/analyseTask");
const command = exports.command = 'analyse';
const desc = exports.desc = 'Run code quality tools';
const aliases = exports.aliases = ['$0'];
const options = {
  group: `${command}-Options`
};
const boolOptions = {
  ...options,
  type: 'boolean'
};
const handler = exports.handler = (0, _yargs.createHandler)(_analyseTask.analyseTask);
const builder = exports.builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  all: {
    ...boolOptions,
    alias: 'a',
    conflicts: ['path'],
    describe: 'All files are checked and not only the changed/new files'
  },
  path: {
    ...options,
    type: 'string',
    alias: 'p',
    conflicts: ['all'],
    describe: 'Checks only files in the specified path'
  },
  only: {
    ...options,
    alias: 'o',
    choices: _analyseTask.analyseServices,
    describe: 'Run a single code quality tool'
  }
}));