"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;
var _yargs = require("../cli/yargs");
var _buildTask = require("../tasks/buildTask");
const command = exports.command = 'build';
const desc = exports.desc = 'Run the build process';
const options = {
  group: `${command}-Options`
};
const boolOptions = {
  ...options,
  type: 'boolean',
  default: false
};
const handler = exports.handler = (0, _yargs.createHandler)(_buildTask.buildTask);
const builder = exports.builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  watch: {
    ...boolOptions,
    alias: 'w',
    describe: 'Watch files for changes and rebuild the changed files (without type files)'
  }
}));