"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;
var _yargs = require("../cli/yargs");
var _gitTask = require("../tasks/gitTask");
const command = exports.command = 'git';
const desc = exports.desc = 'Handler for the git hooks';
const options = {
  group: `${command}-Options`
};
const handler = exports.handler = (0, _yargs.createHandler)(_gitTask.gitTask);
const builder = exports.builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  hook: {
    ...options,
    choices: _gitTask.hooks,
    require: true
  },
  edit: {
    ...options,
    type: 'string',
    desc: 'Path to the COMMIT_EDITMSG file (only at hook "msg")'
  }
}));